SingleResponse (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ocsp

## Class SingleResponse

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.SingleResponse

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SingleResponse
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleResponse(CertID certID, CertStatus certStatus, ASN1GeneralizedTime thisUpdate, ASN1GeneralizedTime nextUpdate, Extensions singleExtensions)`
    `SingleResponse(CertID certID, CertStatus certStatus, ASN1GeneralizedTime thisUpdate, ASN1GeneralizedTime nextUpdate, X509Extensions singleExtensions)` Deprecated. use method taking ASN1GeneralizedTime and Extensions

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertID` | `getCertID()`
    `CertStatus` | `getCertStatus()`
    `static SingleResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static SingleResponse` | `getInstance(java.lang.Object obj)`
    `ASN1GeneralizedTime` | `getNextUpdate()`
    `Extensions` | `getSingleExtensions()`
    `ASN1GeneralizedTime` | `getThisUpdate()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleResponse

          public SingleResponse(CertID certID,
                                CertStatus certStatus,
                                ASN1GeneralizedTime thisUpdate,
                                ASN1GeneralizedTime nextUpdate,
                                X509Extensions singleExtensions)

      Deprecated. use method taking ASN1GeneralizedTime and Extensions
      Parameters:
        `certID` -
        `certStatus` -
        `thisUpdate` -
        `nextUpdate` -
        `singleExtensions` -

    - #### SingleResponse

          public SingleResponse(CertID certID,
                                CertStatus certStatus,
                                ASN1GeneralizedTime thisUpdate,
                                ASN1GeneralizedTime nextUpdate,
                                Extensions singleExtensions)

  - ### Method Detail

    - #### getInstance

          public static SingleResponse getInstance(ASN1TaggedObject obj,
                                                   boolean explicit)

    - #### getInstance

          public static SingleResponse getInstance(java.lang.Object obj)

    - #### getCertID

          public CertID getCertID()

    - #### getCertStatus

          public CertStatus getCertStatus()

    - #### getThisUpdate

          public ASN1GeneralizedTime getThisUpdate()

    - #### getNextUpdate

          public ASN1GeneralizedTime getNextUpdate()

    - #### getSingleExtensions

          public Extensions getSingleExtensions()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

            SingleResponse ::= SEQUENCE {
                    certID                       CertID,
                    certStatus                   CertStatus,
                    thisUpdate                   GeneralizedTime,
                    nextUpdate         [0]       EXPLICIT GeneralizedTime OPTIONAL,
                    singleExtensions   [1]       EXPLICIT Extensions OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.